Index: main/trunk/greenstone2/perllib/plugins/ReferPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ReferPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ReferPlugin.pm	(revision 31492)
@@ -68,5 +68,5 @@
 no strict 'refs'; # allow filehandles to be variables and viceversa
 
-# ReferPlugin is a sub-class of BasePlugin.
+# ReferPlugin is a sub-class of BaseImporter.
 sub BEGIN {
     @ReferPlugin::ISA = ('MetadataRead', 'SplitTextFile');
@@ -75,5 +75,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
Index: main/trunk/greenstone2/perllib/plugins/RogPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/RogPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/RogPlugin.pm	(revision 31492)
@@ -28,5 +28,5 @@
 package RogPlugin;
 
-use BasePlugin;
+use BaseImporter;
 use MetadataRead;
 use sorttools;
@@ -37,10 +37,10 @@
 
 sub BEGIN {
-    @RogPlugin::ISA = ('MetadataRead', 'BasePlugin');
+    @RogPlugin::ISA = ('MetadataRead', 'BaseImporter');
 }
 
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
@@ -62,5 +62,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/SourceCodePlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/SourceCodePlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/SourceCodePlugin.pm	(revision 31492)
@@ -49,10 +49,10 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
 	'reqd' => "no" } ,
       { 'name' => "block_exp",
-	'desc' => "{BasePlugin.block_exp}",
+	'desc' => "{BaseImporter.block_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_block_exp(),
Index: main/trunk/greenstone2/perllib/plugins/TabSeparatedPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/TabSeparatedPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/TabSeparatedPlugin.pm	(revision 31492)
@@ -44,5 +44,5 @@
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
Index: main/trunk/greenstone2/perllib/plugins/TextPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/TextPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/TextPlugin.pm	(revision 31492)
@@ -41,5 +41,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
Index: main/trunk/greenstone2/perllib/plugins/UnknownPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/UnknownPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/UnknownPlugin.pm	(revision 31492)
@@ -56,5 +56,5 @@
 package UnknownPlugin;
 
-use BasePlugin;
+use BaseImporter;
 
 use strict;
@@ -62,5 +62,5 @@
 
 sub BEGIN {
-    @UnknownPlugin::ISA = ('BasePlugin');
+    @UnknownPlugin::ISA = ('BaseImporter');
 }
 
@@ -107,5 +107,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     # "-process_extension" is a simpler alternative to -process_exp for non-regexp people
Index: main/trunk/greenstone2/perllib/plugins/WordPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/WordPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/WordPlugin.pm	(revision 31492)
@@ -42,5 +42,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => "&get_default_process_exp()", # delayed (see below)
@@ -142,5 +142,5 @@
 
     my $cbf_self = new ConvertBinaryFile($pluginlist, $inputargs, $hashArgOptLists);
-    my $self = BasePlugin::merge_inheritance($auto_converter_self, $cbf_self);
+    my $self = BaseImporter::merge_inheritance($auto_converter_self, $cbf_self);
 
     if ($self->{'info_only'}) {
Index: main/trunk/greenstone2/perllib/plugins/ZIPPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ZIPPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ZIPPlugin.pm	(revision 31492)
@@ -46,5 +46,5 @@
 package ZIPPlugin;
 
-use BasePlugin;
+use BaseImporter;
 use plugin;
 use util;
@@ -56,10 +56,10 @@
 
 BEGIN {
-    @ZIPPlugin::ISA = ('BasePlugin');
+    @ZIPPlugin::ISA = ('BaseImporter');
 }
 
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "string",
 	'deft' => &get_default_process_exp(),
@@ -81,5 +81,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
